classification
Title: Dismiss To Avoid Slave/Master wording cause it easier for non English spoken programmers
Type: enhancement Stage: resolved
Components: Versions:
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: AcostaJA, Alex.Willmer, Mariatta, Socob, asvetlov, dstufft, eric.araujo, ezio.melotti, larry, ned.deily, ronaldoussoren, suic, tim.golden
Priority: normal Keywords:

Created on 2018-09-15 14:50 by AcostaJA, last changed 2018-09-26 19:10 by mrabarnett. This issue is now closed.

Messages (12)
msg325434 - (view) Author: Jose Angel Acosta (AcostaJA) Date: 2018-09-15 14:50
A request have been srecentrly uddenly committed to avoid Slave/Master wording in python code, I think the "issue"was not enough peer-reviewed, me having slave roots from my african and jewish heritage I dont consider this matter an Issue, but the Wording Slave/Master widely used to depict component relationship is better for understanding the purpose of the component relation than the non-traditional wording schemes as Parent/Worker, specially for those being non-native English readers the change has issues on code readability specially for non-English readers.

Simple, its much easier to understand the meaning of Slave/Master relationship in device functionality than Worker/Helper, I consider the whole issue as an intrusion of the "politically correct" puritanism in areas where is not required.

The main force behind Python success is CODE READABILITY, not  political rightfulness, this should be stopped here,Python itself the language name its an word which remembers snakes a creature considered impure by both Jew/Islamic/Christian religions, by appling the same political rightfulness code to this, Python language should be renamed to something non-offensive to Jew/Islamic/Christians as Bunny, (and this at least doesnt affect language readbility, since "run bunny code" vs "run python code" its easier to understand than "Process Master delegate X Data to Slave process" vs "Parent process Delegate X Data to Worker Process", the later meaning is not as easy to understand, since Parent can be translated in N ways across different languages, I.E. Spanish: Parent could means mother, father, cause while Worker just means Worker (not intrinsically related to cause or mother).

I think the python language should be kept from explicitly offensive wordings not those "niche" offensive wordings when the whole language is named after an animal that is offensive on most cultures (And its not a problem), the same naming process slave/master doesn't denote support to slavery, are just words that its more easy to understand its meaning (given its more uniform) across multiple human languages.

I consider the voting mechanism should consider polls among programmers before commit matters like this in the future, which respectfully I consider ridiculous and I said it with respect to my slave ancestors.
msg325435 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-09-15 15:00
Do you have any concrete propositions?
msg325437 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2018-09-15 15:07
There will be no further discussion about this.
msg325499 - (view) Author: Gabriel (suic) * Date: 2018-09-16 20:37
@Mariatta:

> There will be no further discussion about this.

Repeating this over and over again won't solve the (any) issue. This madness reached another level here: https://bugs.python.org/issue34660. That was exactly my point here: https://bugs.python.org/issue34605#msg324825. <sarcasm>But let me guess: There will no (further) discussion about that either.</sarcasm> 

I find this behavior from the Python core developers and representatives simply irresponsible.
msg325504 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-16 22:49
Jose: The purpose of the tracker is to facilitate patches to the CPython code and docs.  Your post and personal perspective (with 'srecentrly uddenly' corrected),though related, belongs elsewhere, such as python-list.

Gabriel: Insults so not solve issues.  Rather they discourage people from volunteering to improve Python.  They are a violation of the Code of Conduct.  Please consider this a warning and don't repeat.
msg325780 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2018-09-19 18:45
@Mariatta:
> There will be no further discussion about this.

Mariatta, why do you say that?  As long as the participants in the discussion are respectful I'm not aware of any mechanism in the CPython developer guidelines that would require shutting down the discussion.


@terry.reedy:
> The purpose of the tracker is to facilitate patches to the CPython code and docs.

I'm pretty sure the issue tracker gets used for more than strictly facilitating patches.  And TBH this conversation got a little toxic in other areas online.  I don't think it's hurting anything to have a quiet discussion about it here on the issue tracker.


>  Insults so not solve issues.  [...]  Please consider this a warning and don't repeat.

I agree that insults are bad, and I too hope that nobody engages in being insulting.  But I read Gabriel's post twice and I don't see where he insulted anybody.  I found his remarks aggressive and a bit sarcastic, sure.  But not "insulting".  Can you be specific--what was the remark where he insulted somebody?

Gabriel, I agree that you should try to curb your more inflammatory tendencies in your correspondence.  But that's as much a tactical suggestion as it is a CoC reminder.  I assume that your point in writing is to win people over to your point of view--and that's best achieved by being reasonable and making good points.  As the old saying goes, "you'll attract more flies with honey than with vinegar".
msg325781 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2018-09-19 18:49
I think the idea here is: don’t feed the trolls.
msg325782 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2018-09-19 18:54
@eric.araujo:
> I think the idea here is: don’t feed the trolls.

I understand this as a general-purpose metaphor.  But I don't understand how that translates into CPython issue tracker policy.  And so far I wouldn't describe anybody corresponding on this issue as "trolling".  Did I miss something?
msg325784 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-09-19 19:02
> I think the idea here is: don’t feed the trolls.

+1.  Please stop this.

Larry, IMHO, if you seriously want to discuss this issue (and bring more attention to it) I think you should email to python-commiters.  Otherwise this is just a pointless distraction to those of us who ended up randomly added to the nosy list and have no interest in this topic.

A restricted (but open) mailing list to discuss controversial topics like this is a common practice.

> But I don't understand how that translates into CPython issue tracker policy.

Selecting all "components" and adding random people to the nosy list goes pretty much against the issue tracker policy.  It should have been closed right from the beginning, because the person who opened it used the wrong medium to convey their message to begin with.

P.S. Please don't add me to the nosy list.
msg325802 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-09-19 21:20
If this issue were not to be immediately closed, then cleaning the components and nosy lists should have been the first response.

I was tempted to do the latter now, to cut short the cavalcade of un-nosy emails, but anticipated that someone would object.  But I will remove myself again after this post.

Larry: Victor's recent issue and action pulled us further into a verbally violent and occasionally physically violent American Cultural war.  The result has already been pretty ugly.  We have been and will be attacked from extremists on both sides if consider changes on a case-by-case basis, accepting some and rejecting others.  I don't want the tracker ruined as a usable workspace.

We have been and will be attacked from extremists on both sides for considering changes on a case-by-case basis, accepting some and rejecting others.  On #34660, Raymond Hettinger merged one PR and I reviewed the other.  Marko called our actions 'madness' and here called us 'irresponsible'.  On the other hand, the OP criticized me for wanting change and huffed away with the claim that like it or not, we will somehow eventually be *forced* to change (as he wishes).  I do not volunteer for this sort of treatment.
msg325849 - (view) Author: Gabriel (suic) * Date: 2018-09-20 09:24
@Larry and Terry:

I want to stay out of this discussion or participation on Python development for the future as I've expressed it elsewhere (https://bugs.python.org/issue34660#msg325515). However, I want to address the unfair treatment of my person and what I consider to be a violation of CoC in the previous comment (https://bugs.python.org/issue34694#msg325802).

> We have been and will be attacked from extremists on both sides if consider changes on a case-by-case basis, accepting some and rejecting others.
> We have been and will be attacked from extremists on both sides for considering changes on a case-by-case basis, accepting some and rejecting others.

Labeling people as "extremists" without justification is _ad hominem_ and can be considered to be a personal attack. The term "extremism" has strong negative connotations and it's often related to "calling for violent action". The comment doesn't make clear neither 1) who or what group of people is meant to be extremist here nor 2) what was considered to be extremist. 

In general _ad hominem_ arguments and attacking someones reputation are not part of civil and rational argumentation/discourse. As far as I understand this isn't compliant with the Code of Conduct either. 

> Marko called our actions 'madness' and here called us 'irresponsible'.

I find this unfair and a misrepresentation of what I wrote:

> I find this behavior from the Python core developers and representatives simply irresponsible. (https://bugs.python.org/msg325499)

I explicitly referred to _behavior being irresponsible_ not the people. Even responsible people can have sometimes irresponsible decisions or behaviour. I also explained what I'd meant by "madness" (see here: https://bugs.python.org/issue34660#msg325503). And as I've already said elswhere:

> I can completely agree that I shouldn't/mustn't make sarcastic comments. (https://bugs.python.org/issue34660#msg325515)

I also agree with Larry that sarcasm isn't the best strategy :) However, silencing discussions like this "There will be no further discussion about this." (https://bugs.python.org/issue34694#msg325437) isn't a good strategy either. 

I don't want to be involved into further discussion and I politely ask you to not refer to me or labeling me.

Thank you,

Gabriel
msg325888 - (view) Author: Jose Angel Acosta (AcostaJA) Date: 2018-09-20 15:32
I'm so sorry to see my proposal just derived in personal attacks.
The problem here is the core who  "owns" python, admited a change to the Language documentation on whats should be considered a political or cultural bias w/o considering the broad community OPINION, I wont name it irresponsible but fairly disconnected with the purpose of OpenSource: freedom as on free speech, which is something being censored by latest core's commit on suggestion based on political or cultural bias, not code usability.
In other instances or communities it should have been enough to ask for the resignation of those that allowed this distortion introduced into the project -owned by the community, not the core approving commits-.
History
Date User Action Args
2018-09-26 19:10:55mrabarnettsetnosy: - mrabarnett
2018-09-26 14:26:40paul.mooresetnosy: - paul.moore
2018-09-26 07:59:58koobssetnosy: - koobs
2018-09-22 19:53:59Socobsetnosy: + Socob
2018-09-20 15:32:06AcostaJAsetmessages: + msg325888
2018-09-20 15:22:05steve.dowersetnosy: - steve.dower
2018-09-20 09:24:37suicsetnosy: + suic
messages: + msg325849
2018-09-19 22:41:43suicsetnosy: - suic
2018-09-19 21:24:30zach.waresetassignee: docs@python ->

nosy: - docs@python, zach.ware
2018-09-19 21:21:04terry.reedysetnosy: - terry.reedy
2018-09-19 21:20:42terry.reedysetnosy: + terry.reedy
messages: + msg325802
2018-09-19 20:16:57terry.reedysetnosy: - terry.reedy
2018-09-19 19:11:11barrysetnosy: - barry
2018-09-19 19:05:03serhiy.storchakasetnosy: - serhiy.storchaka
2018-09-19 19:04:17vstinnersetnosy: - vstinner
2018-09-19 19:02:25yselivanovsetnosy: - yselivanov
2018-09-19 19:02:02yselivanovsetnosy: barry, terry.reedy, paul.moore, ronaldoussoren, vstinner, larry, tim.golden, ned.deily, ezio.melotti, eric.araujo, mrabarnett, asvetlov, docs@python, zach.ware, serhiy.storchaka, yselivanov, koobs, steve.dower, dstufft, Alex.Willmer, Mariatta, suic, AcostaJA
messages: + msg325784
2018-09-19 18:54:44larrysetmessages: + msg325782
2018-09-19 18:49:23eric.araujosetmessages: + msg325781
2018-09-19 18:45:24larrysetmessages: + msg325780
2018-09-19 17:23:57r.david.murraysetnosy: - r.david.murray
2018-09-16 22:49:00terry.reedysetmessages: + msg325504
components: - Build, Demos and Tools, Distutils, Documentation, Extension Modules, IDLE, Installation, Interpreter Core, Library (Lib), macOS, Regular Expressions, Tests, Tkinter, Unicode, Windows, XML, 2to3 (2.x to 3.x conversion tool), ctypes, IO, Cross-Build, email, asyncio, Argument Clinic, FreeBSD, SSL
2018-09-16 20:37:57suicsetnosy: + suic
messages: + msg325499
2018-09-15 15:07:01Mariattasetstatus: open -> closed

nosy: + Mariatta
messages: + msg325437

resolution: wont fix
stage: resolved
2018-09-15 15:00:53serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg325435
2018-09-15 14:50:44AcostaJAcreate